kdesu(1)

kdesu - Zažene program s povišanimi pravicami

kdesu [-c command] [-d] [-f file] [-i icon name] [-n] [-p priority] [-r] [-s] [-t] [-u user] [--noignorebutton] [--attach winid]

kdesu [KDE Splošne možnosti] [Qt(TM) Splošne možnosti]

Opis

KDE su je grafični vmesnik za UNIX® su ukaz za namizno okolje K. Omogoča zagon programa kot od drugega uporabnika tako, da vnesete geslo za tega uporabnika. KDE su je neprivilegiran program; uporablja sistemski ukaz su.

KDE su ima še eno dodatno funkcijo: neobvezno si lahko zapomni gesla. Če uporabljate to funkcijo, morate geslo vnesti le enkratza vsak ukaz.

Ta program je predviden za zagon iz ukazne vrstice ali iz datotek .desktop.

Ker kdesu ni več nameščen v $(kf5-config --prefix)/bin vendar v kf5-config --pathlibexec in zato ni na vaši Poti, imateza uporabo $(kf5-config --path libexec)kdesu za zagon kdesu.

Možnosti

-c command
    To določa ukaz za zagon kot root. Prenesti ga je treba v enem argumentu. Torej, če želite na primer zagnati novega upravljalnika datotek, bi ob pozivu vnesel: $(kf5-config --path libexec)kdesu -c Dolphin

-d
    Prikaži informacije o odpravljanju napak.

-f datoteka
    Ta možnost omogoča učinkovito uporabo KDE su v datoteki .desktop. Pove KDE su da pregleda datoteke, ki jo določa datoteka. Če v to datoteko lahko piše trenutni uporabnik, bo KDE su izvedel ukaz kot trenutni uporabnik. Če ni zapisljiv, se ukaz izvede kot uporabnik (privzeto je root).

    datoteka se ovrednoti takole: če se datoteka začne z /, jemlje se kot absolutno ime datoteke. V nasprotnem primeru se vzame kot ime globalne KDE datoteke konfiguracije.

-i ime ikone
    Določite ikono za uporabo v pogovornem oknu za geslo. Lahko navedete samo ime, brez podaljška.

-n
    Ne hrani gesla. To onemogoči keep password potrditveno polje v pogovornem oknu za geslo.

-p priority
    Nastavite vrednost prioritete. Prioriteta je poljubno število med 0 in 100,kjer 100 pomeni najvišjo prioriteto, 0 pa najnižjo. Privzeto je 50.

-r
    Uporabi razporejanje v realnem času.

-s
    Ustavite demon kdesu. To je demon, ki predpomni uspešna gesla v ozadju. To funkcijo lahko tudi onemogočite z -n ko se KDE su sprva izvaja.

-t
    Omogoči terminalski izhod. To onemogoči shranjevanje gesel. To je v veliki meri za namene odpravljanja napak; če želite zagnati aplikacijo v konzolnem načinu, uporabite standard su namesto tega.

-u user
    Čeprav je najpogostejša uporaba KDE su zagon ukaza kot superuser,vnesete lahko poljubno uporabniško ime in ustrezno geslo.

--noignorebutton
    Ne prikaži gumba za prezrtje.

--attach winid
    Naredi pogovorno okno prehodno za aplikacijo X, ki jo določi winid.

Poglejte tudi

su(1)

Podrobnejša uporabniška dokumentacija je na voljo na help:/kdesu (ali vnesite ta URL v Konqueror, ali poženite khelpcenter help:/kdesu).

Primeri

Poženite kfmclient kot uporabnik jim, in pokaži ikono Konqueror v pogovoru z geslom:

    $(kf5-config --path libexec)kdesu -u jim -i konqueror kfmclient

Avtorji

KDE su so napisali Geert Jansen <g.t.jansen@stud.tue.nl> in Pietro Iglio <iglio@fub.it>.

Lauri Watts <lauri@kde.org>